System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType

A rectangle is defined by its width, height, and upper-left corner.

Stores a set of four floating-point numbers that represent the location and size of a rectangle. For more advanced region functions, use a object.

- Constructor
  To be added

  Initializes a new instance of the class with the specified location and size.

  A that represents the upper-left corner of the rectangular region.
  A that represents the width and height of the rectangular region.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified location and size.

  The x-coordinate of the upper-left corner of the rectangle.
  The y-coordinate of the upper-left corner of the rectangle.
  The width of the rectangle.
  The height of the rectangle.
  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  The value represents the y-coordinate of the first point at the bottom edge of the rectangle that is not contained in the rectangle.

  Gets the y-coordinate that is the sum of and of this structure.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Boolean `` To be added

  Determines if the specified point is contained within this structure.

  This method returns true if the point represented by the parameter is contained within this structure; otherwise false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines if the rectangular region represented by is entirely contained within this structure.

  This method returns true if the rectangular region represented by is entirely contained within the rectangular region represented by this ; otherwise false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Determines if the specified point is contained within this structure.

  This method returns true if the point defined by and is contained within this structure; otherwise false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. 1.0.5000.0 2.0.0.0
- Field
  System.Drawing.RectangleF

  The members of the new are left uninitialized.

  Represents an instance of the class with its members uninitialized.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Tests whether is a with the same location and size of this .

  This method returns true if is a and its X, Y, Width, and Height properties are equal to the corresponding properties of this ; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF `` `` `` ``

  This method creates a with the specified upper-left and lower-right corners.

  Creates a structure with upper-left corner and lower-right corner at the specified locations.

  The new that this method creates.

  The x-coordinate of the upper-left corner of the rectangular region. The y-coordinate of the upper-left corner of the rectangular region. The x-coordinate of the lower-right corner of the rectangular region. The y-coordinate of the lower-right corner of the rectangular region. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Gets the hash code for this structure. For information about the use of hash codes, see Object.GetHashCode.

  The hash code for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the height of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method enlarges this rectangle, not a copy of it. The rectangle is enlarged in both directions along an axis. For example, if a 50 by 50 rectangle is inflated by 50 in the x-axis, the resultant rectangle will be 150 units long (the original 50, the 50 in the minus direction, and the 50 in the plus direction) maintaining the rectangle's geometric center.

  Enlarges this by the specified amount.

  The amount to inflate this rectangle. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method enlarges this rectangle, not a copy of it. The rectangle is enlarged in both directions along an axis. For example, if a 50 by 50 rectangle is inflated by 50 in the x-axis, the resultant rectangle will be 150 units long (the original 50, the 50 in the minus direction, and the 50 in the plus direction) maintaining the rectangle's geometric center.

  If either or is negative, the is deflated in the corresponding direction.

  Enlarges this structure by the specified amount.

  The amount to inflate this structure horizontally. The amount to inflate this structure vertically. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF `` `` ``

  This method makes a copy of , enlarges the copy, and then returns the enlarged copy. The rectangle is enlarged in both directions along an axis. For example, if a 50 by 50 rectangle is inflated by 50 in the x-axis, the resultant rectangle will be 150 units long (the original 50, the 50 in the minus direction, and the 50 in the plus direction) maintaining the rectangle's geometric center.

  Creates and returns an enlarged copy of the specified structure. The copy is enlarged by the specified amount and the original rectangle remains unmodified.

  The enlarged .

  The to be copied. This rectangle is not modified. The amount to enlarge the copy of the rectangle horizontally. The amount to enlarge the copy of the rectangle vertically. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Replaces this structure with the intersection of itself and the specified structure.

  This method does not return a value.

  The rectangle to intersect. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF `` `` To be added

  Returns a structure that represents the intersection of two rectangles. If there is no intersection, and empty is returned.

  A third structure the size of which represents the overlapped area of the two specified rectangles.

  A rectangle to intersect. A rectangle to intersect. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines if this rectangle intersects with .

  This method returns true if there is any intersection.

  The rectangle to test. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Tests whether the or property of this has a value of zero.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the x-coordinate of the left edge of this structure.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Drawing.PointF To be added: an object of type 'PointF' To be added

  Gets or sets the coordinates of the upper-left corner of this structure.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Void `` To be added

  Adjusts the location of this rectangle by the specified amount.

  This method does not return a value.

  The amount to offset the location. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adjusts the location of this rectangle by the specified amount.

  This method does not return a value.

  The amount to offset the location horizontally. The amount to offset the location vertically. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Tests whether two structures have equal location and size.

  This operator returns true if the two specified structures have equal , , , and properties.

  The structure that is to the left of the equality operator. The structure that is to the right of the equality operator. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Tests whether two structures differ in location or size.

  This operator returns true if any of the , , , or properties of the two structures are unequal; otherwise false.

  The structure that is to the left of the inequality operator. The structure that is to the right of the inequality operator. 1.0.5000.0 2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  The value represents the x-coordinate of the first point at the right edge of the rectangle that is not contained in the rectangle.

  Gets the x-coordinate that is the sum of and of this structure.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Drawing.SizeF To be added: an object of type 'SizeF' To be added

  Gets or sets the size of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the y-coordinate of the top edge of this structure.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.String To be added

  Converts the Location and of this to a human-readable string.

  A string that contains the position, width, and height of this structure. For example, "{X=20, Y=20, Width=100, Height=50}".

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.RectangleF `` ``

  When one of the two rectangles is empty, meaning all of its values are zero, the method returns a rectangle with a starting point of (0, 0), and the height and width of the non-empty rectangle. For example, if you have two rectangles A = (0, 0; 0, 0) and B = (1, 1; 2, 2), then the union of A and B is (0, 0; 2, 2).

  Creates the smallest possible third rectangle that can contain both of two rectangles that form a union.

  A third structure that contains both of the two rectangles that form the union.

  A rectangle to union. A rectangle to union. 1.0.5000.0 2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the width of this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the x-coordinate of the upper-left corner of this structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the y-coordinate of the upper-left corner of this structure.

  1.0.5000.0
  2.0.0.0